Subject: pkg/24360: glib2 wont install (on at NetBSD/i386 1.6.2)
To: None <>
From: Simon Burge <>
List: netbsd-bugs
Date: 02/09/2004 00:53:56
>Number:         24360
>Category:       pkg
>Synopsis:       glib2 wont install (on at NetBSD/i386 1.6.2)
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Feb 08 13:54:00 UTC 2004
>Release:        NetBSD 1.6.2
Wasabi Systems
System: NetBSD 1.6.2 NetBSD 1.6.2 (THOREAU)
#20: Sat Feb 7 21:56:43 EST 2004 i386
Architecture: i386
Machine: i386
pkgsrc as at Feb 8 04:23 UTC
pkgsrc/mk and pkgsrc/devel/glib2 as at Feb 8 13:30 UTC

	When building glib2 on a NetBSD/i386 1.6.2 box, the build works
	fine but the installation fails.  Here's some excepts from the
	build and install:

	(cd .libs && rm -f && ln -s
	(cd .libs && rm -f && ln -s
	i386--netbsdelf-ar cru .libs/libgobject-2.0.a  gboxed.o gclosure.o genums.o gobject.o gparam.o gparamspecs.o gsignal.o gsourceclosure.o gtype.o gtypemodule.o gtypeplugin.o gvalue.o gvaluearray.o gvaluetransform.o gvaluetypes.o i386--netbsdelf-ranlib .libs/libgobject-2.0.a
	(cd .libs && rm -f && ln -s ../


	/bin/sh ../libtool  --mode=install /usr/bin/install -c -o root -g wheel /usr/pkg/lib/
	libtool: install: warning: relinking `'
	(cd /usr/obj/pkg/devel/glib2/work.thoreau/glib-2.2.3/gobject; /bin/sh /usr/pkg/bin/libtool  --mode=relink gcc -O2 -I/usr/pkg/include -Wall -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -liconv -o -rpath /usr/pkg/lib -version-info 200:3:200 -export-dynamic gboxed.lo gclosure.lo genums.lo gobject.lo gparam.lo gparamspecs.lo gsignal.lo gsourceclosure.lo gtype.lo gtypemodule.lo gtypeplugin.lo gvalue.lo gvaluearray.lo gvaluetransform.lo gvaluetypes.lo ../glib/ -lintl )
	gcc -shared  .libs/gboxed.o .libs/gclosure.o .libs/genums.o .libs/gobject.o .libs/gparam.o .libs/gparamspecs.o .libs/gsignal.o .libs/gsourceclosure.o .libs/gtype.o .libs/gtypemodule.o .libs/gtypeplugin.o .libs/gvalue.o .libs/gvaluearray.o .libs/gvaluetransform.o .libs/gvaluetypes.o  -Wl,--rpath -Wl,/usr/pkg/lib -L/usr/pkg/lib -liconv -lglib-2.0 -lintl  -Wl,-R/usr/pkg/lib -Wl,-soname -Wl, -o .libs/
	ld: cannot find -lglib-2.0
	libtool: install: error: relink `' with the above command before installing it
	gmake[2]: *** [install-libLTLIBRARIES] Error 1

A log of the build and the .work.log are in

	cd .../pkgsrc/devel/glib2 ; make install

	None given.